#
# spec file for package cracklib (Version 2.8.6)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-32bit glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libgssapi libmudflap libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel


Name:           cracklib
Url:            http://sourceforge.net/projects/cracklib
License:        Artistic License
Group:          System/Libraries
AutoReqProv:    on
Version:        2.8.6
Release:        14.10
Summary:        A Password-Checking Library
Source:         http://prdownloads.sourceforge.net/cracklib/cracklib-%{version}.tar.bz2
Source1:        http://prdownloads.sourceforge.net/cracklib/cracklib-words.gz
Source10:       ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/computer/Domains.gz
Source11:       ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/computer/Dosref.gz
Source12:       ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/computer/Ftpsites.gz
Source13:       ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/computer/Jargon.gz
Source14:       ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/computer/common-passwords.txt.gz
Source15:       ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/computer/etc-hosts.gz
Source16:       ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/movieTV/Movies.gz
Source17:       ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/movieTV/Python.gz
Source18:       ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/movieTV/Trek.gz
Source19:       ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/literature/LCarrol.gz
Source20:       ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/literature/Paradise.Lost.gz
Source21:       ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/literature/cartoon.gz
Source22:       ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/literature/myths-legends.gz
Source23:       ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/literature/sf.gz
Source24:       ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/literature/shakespeare.gz
Source25:       ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/names/ASSurnames.gz
Source26:       ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/names/Congress.gz
Source27:       ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/names/Family-Names.gz
Source28:       ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/names/Given-Names.gz
Source29:       ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/names/famous.gz
Source30:       ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/names/fast-names.gz
Source31:       ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/names/female-names.gz
Source32:       ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/names/male-names.gz
Source33:       ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/names/names.french.gz
Source34:       ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/names/names.hp.gz
Source35:       ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/names/other-names.gz
Source36:       ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/names/surnames.finnish.gz
Source37:       pt_BR-wordlist.gz
Source38:       es-wordlist.gz
Source100:      cracklib-po.tar.gz
Patch:          cracklib-magic.diff
Patch1:         cracklib-trans.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
CrackLib tests passwords to determine whether they match certain
security-oriented characteristics. You can use CrackLib to stop users
from choosing passwords that are easy to guess.



%debug_package
%package devel
License:        Artistic License
Summary:        Header files and libraries for developing apps which will use CrackLib
Group:          Development/Libraries/C and C++
Provides:       cracklib:/usr/include/crack.h
Requires:       cracklib = %{version} glibc-devel
AutoReqProv:    on

%description devel
The cracklib-devel package contains the header files and libraries
needed to develop programs that use the CrackLib functions to to
determine whether passwords match certain security-oriented
characteristics.



%prep
%setup -q
%setup -a 100 -T -D
%patch
%patch1
mkdir cracklib-dicts
cp -f %{SOURCE10} %{SOURCE11} %{SOURCE12} %{SOURCE13} %{SOURCE14} \
      %{SOURCE15} %{SOURCE16} %{SOURCE17} %{SOURCE18} %{SOURCE19} \
      %{SOURCE20} %{SOURCE21} %{SOURCE22} %{SOURCE23} %{SOURCE24} \
      %{SOURCE25} %{SOURCE26} %{SOURCE27} %{SOURCE28} %{SOURCE29} \
      %{SOURCE30} %{SOURCE31} %{SOURCE32} %{SOURCE33} %{SOURCE34} \
      %{SOURCE35} %{SOURCE36} %{SOURCE37} %{SOURCE38} %{SOURCE1}  \
      cracklib-dicts/
gunzip cracklib-dicts/*

%build
autoreconf
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix} --mandir=%{_mandir} \
	--libdir=%{_libdir} --libexecdir=%{_libdir} --datadir=%{_datadir}
make
make -C po update-po

%clean
rm -rf $RPM_BUILD_ROOT

%install
make install DESTDIR=$RPM_BUILD_ROOT
# libtool is broken by design, remove this *.la files ...
rm $RPM_BUILD_ROOT/%{_libdir}/libcrack.la
# Adjust path in comment
sed "s,/usr/lib/cracklib_dict,%{_datadir}/cracklib/pw_dict,g" lib/crack.h > $RPM_BUILD_ROOT/%{_includedir}/crack.h
./util/cracklib-format cracklib-dicts/* | \
./util/cracklib-packer $RPM_BUILD_ROOT/%{_datadir}/cracklib/pw_dict
ln -s cracklib-format $RPM_BUILD_ROOT/%{_sbindir}/mkdict
ln -s cracklib-packer $RPM_BUILD_ROOT/%{_sbindir}/packer
mkdir -p $RPM_BUILD_ROOT/usr/lib
ln -sf %{_datadir}/cracklib/pw_dict.hwm $RPM_BUILD_ROOT/usr/lib/cracklib_dict.hwm
ln -sf %{_datadir}/cracklib/pw_dict.pwd $RPM_BUILD_ROOT/usr/lib/cracklib_dict.pwd
ln -sf %{_datadir}/cracklib/pw_dict.pwi $RPM_BUILD_ROOT/usr/lib/cracklib_dict.pwi
%{find_lang} %{name}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%doc README README-WORDS NEWS doc/LICENCE AUTHORS
%{_libdir}/libcrack.so.2
%{_libdir}/libcrack.so.2.8.0
/usr/sbin/create-cracklib-dict
/usr/sbin/mkdict
/usr/sbin/packer
/usr/sbin/cracklib-check
/usr/sbin/cracklib-format
/usr/sbin/cracklib-packer
/usr/sbin/cracklib-unpacker
%dir %{_datadir}/cracklib
%{_datadir}/cracklib/cracklib.magic
%{_datadir}/cracklib/pw_dict.hwm
%{_datadir}/cracklib/pw_dict.pwd
%{_datadir}/cracklib/pw_dict.pwi
/usr/lib/cracklib_dict.hwm
/usr/lib/cracklib_dict.pwd
/usr/lib/cracklib_dict.pwi

%files devel
%defattr(644,root,root,755)
%{_includedir}/crack.h
%{_includedir}/packer.h
%{_libdir}/libcrack.a
%{_libdir}/libcrack.so

%changelog
* Fri Apr 18 2008 - mc@suse.de
- final translation update
* Fri Mar 14 2008 - mc@suse.de
- update translations
* Fri Feb 15 2008 - mc@suse.de
- update translations
* Wed Dec 12 2007 - mc@suse.de
- update translations [#266492]
* Mon Mar 27 2006 - kukuk@suse.de
- Update pl and fi translations
* Mon Mar 06 2006 - kukuk@suse.de
- Add km and uk translations, update fi translation
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Nov 18 2005 - kukuk@suse.de
- Update to 2.8.6 (merge locale and compile fixes)
* Wed Oct 05 2005 - kukuk@suse.de
- Fix installing of translations
* Thu Sep 29 2005 - kukuk@suse.de
- Update to official 2.8.5
- Fix warnings about undeclared functions
* Mon Aug 29 2005 - kukuk@suse.de
- Add translations for fi, sl_SI and el
* Thu Aug 25 2005 - kukuk@suse.de
- Add pl translation
* Tue Aug 23 2005 - kukuk@suse.de
- Remove support for broken 64bit indexes from
  magic entry [Bug #106007]
* Fri Aug 19 2005 - kukuk@suse.de
- Add Novell Tier1 translations
* Wed Aug 17 2005 - kukuk@suse.de
- Add translations for da, lt, nb, pa and pt
- Fixes #105413
* Tue Jul 26 2005 - kukuk@suse.de
- Update to internal version 2.8.3.0.2 (based on CVS)
* Thu Jun 23 2005 - kukuk@suse.de
- Update to internal version 2.8.3.0.1 (based on CVS)
* Fri Jun 03 2005 - kukuk@suse.de
- Update to version 2.8.3
- Fix compiler warnings
* Sat Apr 02 2005 - kukuk@suse.de
- Remove words from neededforbuild
* Fri Apr 01 2005 - kukuk@suse.de
- Update to version 2.8.2
* Tue Feb 15 2005 - ro@suse.de
- fix Makefile (no need to add Makefile to ar archive)
* Mon Jan 26 2004 - kukuk@suse.de
- Use reentrant getpwuid function
- Revert last change
* Sun Jan 18 2004 - meissner@suse.de
- Compile with -fPIC.
* Fri Jan 16 2004 - kukuk@suse.de
- Add italian translation
* Wed Jan 07 2004 - kukuk@suse.de
- Add translation for hu
* Mon Dec 15 2003 - kukuk@suse.de
- Add translation for nl
* Tue Dec 09 2003 - kukuk@suse.de
- Add translations for es and fr
* Mon Dec 01 2003 - kukuk@suse.de
- Fix all compiler warnings
- Add german translation
* Fri Nov 21 2003 - kukuk@suse.de
- Compile with no execstack
- Build as normal user
* Fri Sep 19 2003 - kukuk@suse.de
- Add czech translation
* Mon Aug 25 2003 - kukuk@suse.de
- Add slovak translation
* Mon Jul 28 2003 - kukuk@suse.de
- Make similar error messages unique
* Tue May 27 2003 - kukuk@suse.de
- Make crack.h header C++ conform
- Build static library
- Create cracklib-devel sub package
* Mon May 12 2003 - kukuk@suse.de
- Add defattr
* Thu May 08 2003 - kukuk@suse.de
- Add patch which allows translation of cracklib messages
* Tue Aug 13 2002 - ademar@conectiva.com.br
- Added several en wordlists and pt_BR and es dictionaries
* Fri May 11 2001 - schwab@suse.de
- Fix portability bugs.
* Tue Oct 03 2000 - kukuk@suse.de
- Use gcc for creating shared library
- Add support for 32/64bit library path
* Wed May 31 2000 - kukuk@suse.de
- Use new URL, add Group tag
* Mon Nov 15 1999 - kukuk@suse.de
- Remove ldconfig calls
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue May 04 1999 - kukuk@suse.de
- initial version of cracklib
